org.apache.poi.sl.usermodel

## Enum ObjectMetaData.Application

- java.lang.Object
- - java.lang.Enum<ObjectMetaData.Application>
  - - org.apache.poi.sl.usermodel.ObjectMetaData.Application

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ObjectMetaData.Application>
  Enclosing interface:
    ObjectMetaData

      public static enum ObjectMetaData.Application
      extends java.lang.Enum<ObjectMetaData.Application>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `EXCEL_V12`
    `EXCEL_V8`
    `PDF`
    `WORD_V12`
    `WORD_V8`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectMetaData` | `getMetaData()`
    `static ObjectMetaData.Application` | `lookup(java.lang.String progId)`
    `static ObjectMetaData.Application` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ObjectMetaData.Application[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCEL_V8

          public static final ObjectMetaData.Application EXCEL_V8

    - #### EXCEL_V12

          public static final ObjectMetaData.Application EXCEL_V12

    - #### WORD_V8

          public static final ObjectMetaData.Application WORD_V8

    - #### WORD_V12

          public static final ObjectMetaData.Application WORD_V12

    - #### PDF

          public static final ObjectMetaData.Application PDF

    - #### CUSTOM

          public static final ObjectMetaData.Application CUSTOM

  - ### Method Detail

    - #### values

          public static ObjectMetaData.Application[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectMetaData.Application c : ObjectMetaData.Application.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectMetaData.Application valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### lookup

          public static ObjectMetaData.Application lookup(java.lang.String progId)

    - #### getMetaData

          public ObjectMetaData getMetaData()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.